> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get aggregated FastEdge usage statistics

> Retrieve aggregated FastEdge request statistics across clients for the given
time range, optionally filtered by client and grouped by one or more dimensions.
Each result row contains the total request count, execution-time statistics and
request counts by HTTP status class.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/fastedge_reseller_api.yaml get /fastedge/v1/admin/stats
openapi: 3.1.0
info:
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  title: Gcore OpenAPI – FastEdge Reseller API
  version: 33be654ac496
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
  - description: Client-level settings and limits
    name: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
  - description: Plans are sets of limits (memory amount, timeout), applied to edge apps
    name: Plans
  - description: Client groups for template visibility
    name: Groups
  - description: Billing and BI-related APIs
    name: Billing
  - name: Stats
paths:
  /fastedge/v1/admin/stats:
    get:
      tags:
        - Stats
      summary: Get aggregated FastEdge usage statistics
      description: >-
        Retrieve aggregated FastEdge request statistics across clients for the
        given

        time range, optionally filtered by client and grouped by one or more
        dimensions.

        Each result row contains the total request count, execution-time
        statistics and

        request counts by HTTP status class.
      operationId: adminStats
      parameters:
        - description: Start date-time in RFC3339 format
          example: '2026-01-01T00:00:00Z'
          in: query
          name: from
          required: true
          schema:
            format: date-time
            type: string
        - description: End date-time in RFC3339 format
          example: '2026-01-31T23:59:59Z'
          in: query
          name: to
          required: true
          schema:
            format: date-time
            type: string
        - description: >-
            Filter by client ID. Repeat to pass several clients. Omit to include
            all accessible clients.
          in: query
          name: client
          required: false
          schema:
            items:
              format: int64
              minimum: 1
              type: integer
            type: array
        - description: >-
            Dimensions to group the statistics by. Repeat to group by several
            dimensions.
          example:
            - client
            - region
          in: query
          name: group_by
          required: false
          schema:
            items:
              enum:
                - client
                - app
                - region
                - country
              type: string
            type: array
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/admin_stats'
                type: array
          description: Returns aggregated statistics rows for the specified period
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
components:
  schemas:
    admin_stats:
      type: object
      description: >-
        Aggregated FastEdge usage statistics for one group. The group-key fields

        (`client_id`, `app_id`, region, country) are present only for the
        dimensions

        requested in `group_by`.
      required:
        - total_count
        - exec_time
        - status_counts
      properties:
        client_id:
          type: integer
          format: int64
          description: Client ID (present when grouped by client)
        app_id:
          type: integer
          format: int64
          description: Application ID (present when grouped by app)
        region:
          type: string
          description: Region (present when grouped by region)
        country:
          type: string
          description: Country (present when grouped by country)
        total_count:
          type: integer
          format: int64
          description: Total number of requests in the group
        exec_time:
          $ref: '#/components/schemas/admin_stats_exec_time'
        status_counts:
          $ref: '#/components/schemas/admin_stats_status_counts'
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    admin_stats_exec_time:
      type: object
      description: Execution-time statistics in milliseconds
      required:
        - min
        - max
        - avg
        - median
        - perc75
        - perc90
      properties:
        min:
          type: number
          format: double
          description: Min execution time in ms
        max:
          type: number
          format: double
          description: Max execution time in ms
        avg:
          type: number
          format: double
          description: Average execution time in ms
        median:
          type: number
          format: double
          description: Median (50th percentile) execution time in ms
        perc75:
          type: number
          format: double
          description: 75th percentile execution time in ms
        perc90:
          type: number
          format: double
          description: 90th percentile execution time in ms
    admin_stats_status_counts:
      type: object
      description: Request counts by HTTP status class.
      required:
        - success
        - count_3xx
        - count_4xx
        - count_5xx
      properties:
        success:
          type: integer
          format: int64
          description: 'Successful requests: status 0 (for CDN apps) or 2xx'
        count_3xx:
          type: integer
          format: int64
          description: Number of 3xx responses
        count_4xx:
          type: integer
          format: int64
          description: Number of 4xx responses
        count_5xx:
          type: integer
          format: int64
          description: Number of 5xx responses
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````